Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Types | Public Member Functions
_ConstTessMemberResultCallback_0_2< del, void, T, A1, A2 > Class Template Reference

`#include <tesscallback.h>`

Inheritance diagram for _ConstTessMemberResultCallback_0_2< del, void, T, A1, A2 >:

List of all members.

## Public Types
typedef TessCallback2< A1, A2 > | base
typedef void(T::* | MemberSignature )(A1, A2) const

## Public Member Functions
| _ConstTessMemberResultCallback_0_2 (const T *object, MemberSignature member)
virtual void | Run (A1 a1, A2 a2)
Public Member Functions inherited from TessCallback2< A1, A2 >
virtual | ~TessCallback2 ()

## Detailed Description

### template<bool del, class T, class A1, class A2>
class _ConstTessMemberResultCallback_0_2< del, void, T, A1, A2 >

Definition at line 564 of file tesscallback.h.

## Member Typedef Documentation

template<bool del, class T , class A1 , class A2 >

typedef TessCallback2<A1,A2> _ConstTessMemberResultCallback_0_2< del, void, T, A1, A2 >::base

Definition at line 567 of file tesscallback.h.

template<bool del, class T , class A1 , class A2 >

typedef void(T::* _ConstTessMemberResultCallback_0_2< del, void, T, A1, A2 >::MemberSignature)(A1, A2) const

Definition at line 568 of file tesscallback.h.

## Constructor & Destructor Documentation

template<bool del, class T , class A1 , class A2 >

_ConstTessMemberResultCallback_0_2< del, void, T, A1, A2 >::_ConstTessMemberResultCallback_0_2 | ( | const T * | object,
|  | MemberSignature | member
| ) |  |
| inline

Definition at line 575 of file tesscallback.h.

: object_(object),
member_(member) {
}

## Member Function Documentation

template<bool del, class T , class A1 , class A2 >

virtual void _ConstTessMemberResultCallback_0_2< del, void, T, A1, A2 >::Run | ( | A1 | a1,
|  | A2 | a2
| ) |  |
| inline virtual

Implements TessCallback2< A1, A2 >.

Definition at line 581 of file tesscallback.h.

{
if (!del) {
(object_->*member_)(a1,a2);
} else {
(object_->*member_)(a1,a2);
// zero out the pointer to ensure segfault if used again
member_ = NULL;
delete this;
}
}

The documentation for this class was generated from the following file:

- /mnt/data/src/tesseract-ocr/ccutil/tesscallback.h